extension IDKitIterable<T> on Iterable<T> {
  /// Traversal with indexed values.
  void iFor(
    Function(int index, T element) ifor, {
    Function(int index, T element)? iContinue,
    Function(int index, T element)? iBreak,
  }) {
    for (var i = 0; i < length; i++) {
      final T element = elementAt(i);
      if (iBreak?.call(i, element) ?? false) break;
      if (iContinue?.call(i, element) ?? false) continue;
      ifor.call(i, element);
    }
  }
}
